#
# spec file for package perl-GD-Barcode
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name GD-Barcode
Name:           perl-GD-Barcode
Version:        2.0.0
Release:        2.1
%define cpan_version 2.00
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Create barcode image with GD
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test2::V0) >= 0.000060
BuildRequires:  perl(parent)
Requires:       perl(parent)
Provides:       perl(GD::Barcode) = 2.0.0
Provides:       perl(GD::Barcode::COOP2of5) = 2.0.0
Provides:       perl(GD::Barcode::Code39) = 2.0.0
Provides:       perl(GD::Barcode::EAN13) = 2.0.0
Provides:       perl(GD::Barcode::EAN8) = 2.0.0
Provides:       perl(GD::Barcode::IATA2of5) = 2.0.0
Provides:       perl(GD::Barcode::ITF) = 2.0.0
Provides:       perl(GD::Barcode::Industrial2of5) = 2.0.0
Provides:       perl(GD::Barcode::Matrix2of5) = 2.0.0
Provides:       perl(GD::Barcode::NW7) = 2.0.0
Provides:       perl(GD::Barcode::QRcode) = 2.0.0
Provides:       perl(GD::Barcode::UPCA) = 2.0.0
Provides:       perl(GD::Barcode::UPCE) = 2.0.0
%undefine       __perllib_provides
%{perl_requires}

%description
GD::Barcode is a subclass of GD and allows you to create barcode image with
GD. This module based on "Generate Barcode Ver 1.02 By Shisei Hanai
97/08/22".

From 1.14, you can use this module even if no GD (except plot method).

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Thu Sep 14 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.00
  see /usr/share/doc/packages/perl-GD-Barcode/Changes
  2.00 2023-09-13
  - 'Production' release, no changes to 1.99_03
  1.99_03 2022-01-10 (DEVELOPMENT RELEASE)
  - Fix cpantesters test for Business::ISBN failing
    seemingly because of broken version of Business::ISBN:
    require Business::ISBN 3.007 or later
  1.99_02 2021-12-20 (DEVELOPMENT RELEASE)
  - Fix issue with Code39 barcodes that prevent rendering white
    background in some cases by Boris Zentner
  - Add unit tests
  - Modernize code
  1.99_01 2016-10-23 (DEVELOPMENT RELEASE)
  - Moved modules to lib/
  - Specified correct dependencies.
  - Fixed RT#20297 - Auto-size with 'Version'.
* Thu Nov 17 2011 coolo@suse.com
- regenerate spec file
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
* Fri Aug 15 2008 lrupp@suse.de
- provide perl-GD-Barcode-UPCE
* Tue Jul 24 2007 lrupp@suse.de
- initial version 1.15
